Index: branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/AgingScheme.cs
===================================================================
--- branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/AgingScheme.cs	(revision 17120)
+++ branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/AgingScheme.cs	(revision 17209)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/AlpsGeneticAlgorithm.cs
===================================================================
--- branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/AlpsGeneticAlgorithm.cs	(revision 17120)
+++ branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/AlpsGeneticAlgorithm.cs	(revision 17209)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -253,5 +253,6 @@
       #region Backwards compatible code, remove with 3.4
       var optionalMutatorParameter = MutatorParameter as OptionalConstrainedValueParameter<IManipulator>;
-      if (optionalMutatorParameter != null) {
+      var mutatorParameter = MutatorParameter as ConstrainedValueParameter<IManipulator>;
+      if (mutatorParameter == null && optionalMutatorParameter != null) {
         Parameters.Remove(optionalMutatorParameter);
         Parameters.Add(new ConstrainedValueParameter<IManipulator>("Mutator", "The operator used to mutate solutions."));
Index: branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/AlpsGeneticAlgorithmMainLoop.cs
===================================================================
--- branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/AlpsGeneticAlgorithmMainLoop.cs	(revision 17120)
+++ branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/AlpsGeneticAlgorithmMainLoop.cs	(revision 17209)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/AlpsGeneticAlgorithmMainOperator.cs
===================================================================
--- branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/AlpsGeneticAlgorithmMainOperator.cs	(revision 17120)
+++ branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/AlpsGeneticAlgorithmMainOperator.cs	(revision 17209)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/AlpsOffspringSelectionGeneticAlgorithm.cs
===================================================================
--- branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/AlpsOffspringSelectionGeneticAlgorithm.cs	(revision 17120)
+++ branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/AlpsOffspringSelectionGeneticAlgorithm.cs	(revision 17209)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -300,5 +300,6 @@
       #region Backwards compatible code, remove with 3.4
       var optionalMutatorParameter = MutatorParameter as OptionalConstrainedValueParameter<IManipulator>;
-      if (optionalMutatorParameter != null) {
+      var mutatorParameter = MutatorParameter as ConstrainedValueParameter<IManipulator>;
+      if (mutatorParameter == null && optionalMutatorParameter != null) {
         Parameters.Remove(optionalMutatorParameter);
         Parameters.Add(new ConstrainedValueParameter<IManipulator>("Mutator", "The operator used to mutate solutions."));
Index: branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/AlpsOffspringSelectionGeneticAlgorithmMainLoop.cs
===================================================================
--- branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/AlpsOffspringSelectionGeneticAlgorithmMainLoop.cs	(revision 17120)
+++ branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/AlpsOffspringSelectionGeneticAlgorithmMainLoop.cs	(revision 17209)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/AlpsOffspringSelectionGeneticAlgorithmMainOperator.cs
===================================================================
--- branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/AlpsOffspringSelectionGeneticAlgorithmMainOperator.cs	(revision 17120)
+++ branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/AlpsOffspringSelectionGeneticAlgorithmMainOperator.cs	(revision 17209)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/AlpsOffspringSelector.cs
===================================================================
--- branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/AlpsOffspringSelector.cs	(revision 17120)
+++ branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/AlpsOffspringSelector.cs	(revision 17209)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/Analyzers/AgeDistributionAnalyzer.cs
===================================================================
--- branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/Analyzers/AgeDistributionAnalyzer.cs	(revision 17120)
+++ branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/Analyzers/AgeDistributionAnalyzer.cs	(revision 17209)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/Analyzers/OldestAverageYoungestAgeAnalyzer.cs
===================================================================
--- branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/Analyzers/OldestAverageYoungestAgeAnalyzer.cs	(revision 17120)
+++ branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/Analyzers/OldestAverageYoungestAgeAnalyzer.cs	(revision 17209)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/Analyzers/OldestAverageYoungestAgeCalculator.cs
===================================================================
--- branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/Analyzers/OldestAverageYoungestAgeCalculator.cs	(revision 17120)
+++ branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/Analyzers/OldestAverageYoungestAgeCalculator.cs	(revision 17209)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/EldersSelector.cs
===================================================================
--- branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/EldersSelector.cs	(revision 17120)
+++ branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/EldersSelector.cs	(revision 17209)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/LastLayerCloner.cs
===================================================================
--- branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/LastLayerCloner.cs	(revision 17120)
+++ branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/LastLayerCloner.cs	(revision 17209)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/MatingPoolCreator.cs
===================================================================
--- branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/MatingPoolCreator.cs	(revision 17120)
+++ branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/MatingPoolCreator.cs	(revision 17209)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/Plugin.cs.frame
===================================================================
--- branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/Plugin.cs.frame	(revision 17120)
+++ branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/Plugin.cs.frame	(revision 17209)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,5 +26,5 @@
   /// Plugin class for HeuristicLab.Algorithms.ALPS plugin.
   /// </summary>
-  [Plugin("HeuristicLab.Algorithms.ALPS", "3.3.15.$WCREV$")]
+  [Plugin("HeuristicLab.Algorithms.ALPS", "3.3.16.$WCREV$")]
   [PluginFile("HeuristicLab.Algorithms.ALPS-3.3.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Analysis", "3.3")]
Index: branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/Properties/AssemblyInfo.cs.frame	(revision 17120)
+++ branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/Properties/AssemblyInfo.cs.frame	(revision 17209)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -31,5 +31,5 @@
 [assembly: AssemblyCompany("")]
 [assembly: AssemblyProduct("HeuristicLab")]
-[assembly: AssemblyCopyright("(c) 2002-2018 HEAL")]
+[assembly: AssemblyCopyright("(c) HEAL")]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]
@@ -53,3 +53,3 @@
 // by using the '*' as shown below:
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.15.$WCREV$")]
+[assembly: AssemblyFileVersion("3.3.16.$WCREV$")]
Index: branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/ReseedingController.cs
===================================================================
--- branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/ReseedingController.cs	(revision 17120)
+++ branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/ReseedingController.cs	(revision 17209)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/ResultsHistoryWiper.cs
===================================================================
--- branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/ResultsHistoryWiper.cs	(revision 17120)
+++ branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/ResultsHistoryWiper.cs	(revision 17209)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/WeightingReducer.cs
===================================================================
--- branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/WeightingReducer.cs	(revision 17120)
+++ branches/2994-AutoDiffForIntervals/HeuristicLab.Algorithms.ALPS/3.3/WeightingReducer.cs	(revision 17209)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
